/* Copyright (C) 1995  Sam Moore, Warren Jasper
 * Copyright (C) 1995  Ricky Beam, Rob Cox
 * Copyright (C) 1996  Joerg Weule
 * Copyright (C) 1998  Jim Bean
 * All rights reserved.
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 */

/** adclib.h **/

void ConvertData (long NumPoints, WORD *ADData, int *ChanTags);
void RawToReal   (long NumPoints, WORD *RawData, float *RealData);

int adcopen_1401_12 (int Mode, int Freq, int Gain_Sel, int Ch, int DMALen);
int adcopen_1402_12 (int Mode, int Freq, int Gain_Sel, int Ch, int DMALen);
int adcopen_1402_16 (int Mode, int Freq, int Gain_Sel, int Ch, int DMALen);

int  adcread  (int fd, WORD *buf, int Datasets);
int  DIOread  (int fd);
void DIOwrite (int fd, int Val);

void adclose (int fd);
